{
	"name": "table/local/currency/currency_rate.json",
	"table_name": "currency_rate",
	"table_prefix": "cura",
	"main_table": "currency",
	"record_type": [""],
	"default_field": "table/prf/default_field.json",
	"table_name_language": {
		"": "Currency rate"
	},
	"default_order": [
		{
			"field": "currency_id",
			"order": ">"
		}
	],
	"save_script": [],
	"field": [
		{
			"constraint": ["primary key"],
			"field_name": "rate_id",
			"field_type": "varchar",
			"field_length": 80
		},
		{
			"field_name": "currency_date",
			"field_type": "date"
		},
		{
			"field_name": "currency_id",
			"field_type": "varchar",
			"field_length": 20
		},
		{
			"field_name": "currency_rate_type",
			"field_type": "varchar",
			"field_length": 20
		},
		{
			"field_name": "info",
			"field_type": "text"
		},
		{
			"field_name": "main_currency_id",
			"field_type": "varchar",
			"foreign_key": [
				{
					"link_type": "prevent delete",
					"linked_field": "currency_id",
					"linked_record_type": "",
					"linked_table": "currency",
					"linking_record_type": ""
				}
			],
			"field_length": 20
		},
		{
			"field_name": "rate",
			"field_type": "double"
		}
	],
	"field_change": [
		{
			"name": "currency_rate_type",
			"old_name": ["type"]
		}
	]
}
